# Vintage Computing Christmas Challenge 2021 (VC³ 2021)

## Author
Retro Reverend  
@atomicpastry

## System
VIC 20 (unexpanded)

## Language
VIC FORTH 1.6 (aka. HES-Forth)

## Length of source code
1 screen (ie. 1Kb)

## Instructions
To run
1. Start VICE
1. Attach the VICForth cartridge (from [vic-forth-hes-rom.zip](http://www.zimmers.net/anonftp/pub/cbm/vic20/roms/tools/8k/vic-forth-hes-rom.zip))
1. Attach the tape image (`retrorevd_vic20_forth_vc3-2021.tap`)
1. Once VICForth has booted, type

	```1 LOADS```

   and click `File -> Datasette controls -> Start` to start the tape.
1. At the `OK` prompt, type

	```TREE```
   
   **Note:** Because the VIC20 screen is only 22 chars wide, the bottom branch of the tree does not meet the specification.  This can be "fixed" by setting the maximum width (ie. `M/WIDTH` constant) to 24.
6. To view the program listing, type

	```1 LIST```

7. To make changes to the program, type 

	```1 EDIT```

   Refer to _Section 3.0 EDITOR_ in the VICForth Instruction Manual for details.
